質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Ruby on Rails 6

Ruby on Rails 6は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

受付中

rails new アプリケーション名をするとエラーが発生してしまうのを解決したい

tyosu
tyosu

総合スコア5

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Ruby on Rails 6

Ruby on Rails 6は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。

2回答

0評価

0クリップ

237閲覧

投稿2022/05/11 06:44

編集2022/05/12 10:00

やったこと

rails new アプリ名

のみになります。

エラー内容のターミナルの画像

イメージ説明

バージョンが関係しているかもしれませんので下記に残しておきます。

バージョン

OS macOS
ruby ruby 2.6.5p114
rails Rails 6.1.5
node v14.16.0
bundle Bundler version 2.3.8
yarn 1.22.17

Gemfile.lock

GEM remote: https://rubygems.org/ specs: actioncable (6.1.6) actionpack (= 6.1.6) activesupport (= 6.1.6) nio4r (~> 2.0) websocket-driver (>= 0.6.1) actionmailbox (6.1.6) actionpack (= 6.1.6) activejob (= 6.1.6) activerecord (= 6.1.6) activestorage (= 6.1.6) activesupport (= 6.1.6) mail (>= 2.7.1) actionmailer (6.1.6) actionpack (= 6.1.6) actionview (= 6.1.6) activejob (= 6.1.6) activesupport (= 6.1.6) mail (~> 2.5, >= 2.5.4) rails-dom-testing (~> 2.0) actionpack (6.1.6) actionview (= 6.1.6) activesupport (= 6.1.6) rack (~> 2.0, >= 2.0.9) rack-test (>= 0.6.3) rails-dom-testing (~> 2.0) rails-html-sanitizer (~> 1.0, >= 1.2.0) actiontext (6.1.6) actionpack (= 6.1.6) activerecord (= 6.1.6) activestorage (= 6.1.6) activesupport (= 6.1.6) nokogiri (>= 1.8.5) actionview (6.1.6) activesupport (= 6.1.6) builder (~> 3.1) erubi (~> 1.4) rails-dom-testing (~> 2.0) rails-html-sanitizer (~> 1.1, >= 1.2.0) activejob (6.1.6) activesupport (= 6.1.6) globalid (>= 0.3.6) activemodel (6.1.6) activesupport (= 6.1.6) activerecord (6.1.6) activemodel (= 6.1.6) activesupport (= 6.1.6) activestorage (6.1.6) actionpack (= 6.1.6) activejob (= 6.1.6) activerecord (= 6.1.6) activesupport (= 6.1.6) marcel (~> 1.0) mini_mime (>= 1.1.0) activesupport (6.1.6) concurrent-ruby (~> 1.0, >= 1.0.2) i18n (>= 1.6, < 2) minitest (>= 5.1) tzinfo (~> 2.0) zeitwerk (~> 2.3) addressable (2.8.0) public_suffix (>= 2.0.2, < 5.0) bindex (0.8.1) bootsnap (1.11.1) msgpack (~> 1.2) builder (3.2.4) byebug (11.1.3) capybara (3.36.0) addressable matrix mini_mime (>= 0.1.3) nokogiri (~> 1.8) rack (>= 1.6.0) rack-test (>= 0.6.3) regexp_parser (>= 1.5, < 3.0) xpath (~> 3.2) childprocess (4.1.0) concurrent-ruby (1.1.10) crass (1.0.6) erubi (1.10.0) ffi (1.15.5) globalid (1.0.0) activesupport (>= 5.0) i18n (1.10.0) concurrent-ruby (~> 1.0) jbuilder (2.11.5) actionview (>= 5.0.0) activesupport (>= 5.0.0) listen (3.7.1) rb-fsevent (~> 0.10, >= 0.10.3) rb-inotify (~> 0.9, >= 0.9.10) loofah (2.17.0) crass (~> 1.0.2) nokogiri (>= 1.5.9) mail (2.7.1) mini_mime (>= 0.1.1) marcel (1.0.2) matrix (0.4.2) method_source (1.0.0) mini_mime (1.1.2) minitest (5.15.0) msgpack (1.5.1) nio4r (2.5.8) nokogiri (1.13.6-x86_64-darwin) racc (~> 1.4) public_suffix (4.0.7) puma (5.6.4) nio4r (~> 2.0) racc (1.6.0) rack (2.2.3) rack-mini-profiler (2.3.4) rack (>= 1.2.0) rack-proxy (0.7.2) rack rack-test (1.1.0) rack (>= 1.0, < 3) rails (6.1.6) actioncable (= 6.1.6) actionmailbox (= 6.1.6) actionmailer (= 6.1.6) actionpack (= 6.1.6) actiontext (= 6.1.6) actionview (= 6.1.6) activejob (= 6.1.6) activemodel (= 6.1.6) activerecord (= 6.1.6) activestorage (= 6.1.6) activesupport (= 6.1.6) bundler (>= 1.15.0) railties (= 6.1.6) sprockets-rails (>= 2.0.0) rails-dom-testing (2.0.3) activesupport (>= 4.2.0) nokogiri (>= 1.6) rails-html-sanitizer (1.4.2) loofah (~> 2.3) railties (6.1.6) actionpack (= 6.1.6) activesupport (= 6.1.6) method_source rake (>= 12.2) thor (~> 1.0) rake (13.0.6) rb-fsevent (0.11.1) rb-inotify (0.10.1) ffi (~> 1.0) regexp_parser (2.4.0) rexml (3.2.5) rubyzip (2.3.2) sass-rails (6.0.0) sassc-rails (~> 2.1, >= 2.1.1) sassc (2.4.0) ffi (~> 1.9) sassc-rails (2.1.2) railties (>= 4.0.0) sassc (>= 2.0) sprockets (> 3.0) sprockets-rails tilt selenium-webdriver (4.1.0) childprocess (>= 0.5, < 5.0) rexml (~> 3.2, >= 3.2.5) rubyzip (>= 1.2.2) semantic_range (3.0.0) spring (3.1.1) sprockets (4.0.3) concurrent-ruby (~> 1.0) rack (> 1, < 3) sprockets-rails (3.4.2) actionpack (>= 5.2) activesupport (>= 5.2) sprockets (>= 3.0.0) sqlite3 (1.4.2) thor (1.2.1) tilt (2.0.10) turbolinks (5.2.1) turbolinks-source (~> 5.2) turbolinks-source (5.2.0) tzinfo (2.0.4) concurrent-ruby (~> 1.0) web-console (4.2.0) actionview (>= 6.0.0) activemodel (>= 6.0.0) bindex (>= 0.4.0) railties (>= 6.0.0) webdrivers (5.0.0) nokogiri (~> 1.6) rubyzip (>= 1.3.0) selenium-webdriver (~> 4.0) webpacker (5.4.3) activesupport (>= 5.2) rack-proxy (>= 0.6.1) railties (>= 5.2) semantic_range (>= 2.3.0) websocket-driver (0.7.5) websocket-extensions (>= 0.1.0) websocket-extensions (0.1.5) xpath (3.2.0) nokogiri (~> 1.8) zeitwerk (2.5.4) PLATFORMS x86_64-darwin-19 DEPENDENCIES bootsnap (>= 1.4.4) byebug capybara (>= 3.26) jbuilder (~> 2.7) listen (~> 3.3) puma (~> 5.0) rack-mini-profiler (~> 2.0) rails (~> 6.1.5) sass-rails (>= 6) selenium-webdriver (>= 4.0.0.rc1) spring sqlite3 (~> 1.4) turbolinks (~> 5) tzinfo-data web-console (>= 4.1.0) webdrivers webpacker (~> 5.0) RUBY VERSION ruby 2.6.5p114 BUNDLED WITH 2.3.8

教えていただける方いましたらどうかよろしくお願いいたします。
追記して欲しい箇所などありましたらコメントしていただけますと幸いです。
よろしくお願いいたします。

コメントをいただき実行したコマンドになります

rm Gemfile.lock gem install bundler -v '2.3.8' bundle install rails s

こちらGemfile.lockの中身になります

RUBY VERSION ruby 2.6.5p114 BUNDLED WITH 2.3.8

こちらのrails sでlocalhost3000が立ち上がって欲しかったものの下記のように同じエラーが発生しました。
イメージ説明

下記が1,17,2をインストールした実行内容になります

gem install bundler -v 1.17.2 Gemfile.lockの内容を変更 bundle install rails s

下記がエラー内容になります
イメージ説明

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Ruby

Rubyはプログラミング言語のひとつで、オープンソース、オブジェクト指向のプログラミング開発に対応しています。

Ruby on Rails 6

Ruby on Rails 6は、オープンソースのWebアプリケーションフレームワークです。「同じことを繰り返さない」というRailsの基本理念のもと、他のフレームワークより少ないコードで簡単に開発できるよう設計されています。